# Danh sách tệp đối tượng tùy chỉnh

* Lấy danh sách tệp đối tượng tùy chỉnh (Custom Audience).

## Request

```curl
curl --location 'https://vpage.open.nhanh.vn/v3.0/marketing/customaudiencelist?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--data '{
    "filters": { },
    "paginator": {
        "size": 50
    }
}'
```

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

* Các tệp có **subtype** = **MESSENGER\_SUBSCRIBER\_LIST** dùng để gửi Tin nhắn quảng cáo (Facebook Marketing Message).
* Các tệp có **subtype** = **CUSTOM** dùng để chạy quảng cáo (Chọn được tệp trên trình quản lý quảng cáo của Facebook).

```json
{
    "code": 1,
    "paginator": {
        "next": [
            1742545330,
            6478
        ]
    },
    "data": [
        {
            "id": "1234561",
            "name": "Tên tệp 1",
            "description": "Mô tả tệp 1",
            "adAccountId": "Ad account 1",
            "subtype": "MESSENGER_SUBSCRIBER_LIST",
            "createdAt": 1760369202
        },
        {
            "id": "1234562",
            "name": "Tên tệp 2",
            "adAccountId": "Ad account 1",
            "description": "Mô tả tệp 2",
            "subtype": "CUSTOM",
            "createdAt": 1760368104
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/vpage/marketing/custom_audience_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
